Group: File tools
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-validate
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global project_owner Jenselme

Summary:        Graphical secure password generator
Name:           gnome-password-generator
Version:        2.1.0
Release:        alt1_5
License:        GPLv2+
URL:            https://github.com/%{project_owner}/%{name}
Source0:        https://github.com/%{project_owner}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
Requires:       python3-module-pygobject3
Requires:       icon-theme-hicolor
BuildArch:      noarch
Source44: import.info


%description
Gnome Password Generator is a GUI based secure password generator. It allows
the user to generate a specified number of random passwords of a specified
length.


%prep
%setup -q



%build
%make_build SED=/bin/sed


%install
%makeinstall_std


%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/*.appdata.xml
desktop-file-validate %{buildroot}/%{_datadir}/applications/*.desktop

%files
%doc --no-dereference COPYING
%doc --no-dereference AUTHORS
%doc ChangeLog
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/96x96/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml


%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 2.1.0-alt1_5
- update to new release by fcimport

* Tue Sep 18 2018 Igor Vlasenko <viy@altlinux.ru> 2.1.0-alt1_4
- fixed build

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_13
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_12
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_11
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_10
- update to new release by fcimport

* Mon Mar 11 2013 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_9
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_8
- initial fc import

